<span
  nz-popover
  [nzPopoverContent]="form"
  nzPopoverPlacement="bottom"
  nzPopoverTrigger="click"
  [(nzPopoverVisible)]="visible">
  <ng-content></ng-content>
</span>

<ng-template #form>
  <app-form-report-markets
    [selectMultiple]="selectMultiple"
    [markets]="markets"
    [(visible)]="visible"
    (afterUpdate)="afterUpdate.emit(selectMultiple)"
  ></app-form-report-markets>
</ng-template>
